Source: gpm
Maintainer: Axel Beckert <abe@debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Section: misc
Priority: optional
Standards-Version: 4.6.0
Homepage: https://nico.schottelius.org/software/gpm/
Vcs-Browser: https://salsa.debian.org/debian/gpm
Vcs-Git: https://salsa.debian.org/debian/gpm.git
Build-Depends: bison,
               debhelper-compat (= 13),
               dh-exec,
               mawk | awk,
               texinfo
Rules-Requires-Root: no

Package: gpm
Architecture: linux-any
Depends: ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: foreign
Description: General Purpose Mouse interface
 This package provides a daemon that captures mouse events when the system
 console is active, and delivers events to applications through a library.
 .
 By default, the daemon provides a 'selection' mode, so that
 cut-and-paste with the mouse works on the console just as it does
 under X.

Package: libgpm2
Section: libs
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Suggests: gpm
Description: General Purpose Mouse - shared library
 This package provides a library that handles mouse requests
 and delivers them to applications. See the description for the 'gpm'
 package for more information.

Package: libgpm-dev
Section: libdevel
Architecture: linux-any
Depends: libc6-dev | libc-dev,
         libgpm2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Conflicts: libgpmg1-dev
Provides: libgpmg1-dev
Description: General Purpose Mouse - development files
 This package provides a library that handles mouse requests
 and delivers them to applications. See the description for the 'gpm'
 package for more information.
 .
 This package contains the development files.
